package fabbroniko.testrawvideofile.h264;

import java.net.DatagramSocket;
import java.net.SocketException;

public class UDPVideoCodecH264 implements CodecH264 {

    private byte[] SPSNALBuffer = null;
    private byte[] PPSNALBuffer = null;
    private DatagramSocket datagramSocket = null;
    private byte[] data;
    private static final int NAL_UNIT_MAX_SIZE = 65536;

    public UDPVideoCodecH264() {
        try {
            datagramSocket = new DatagramSocket(60000);
        } catch (final SocketException e) {
            e.printStackTrace();
            System.exit(0);
        }
        data = new byte[NAL_UNIT_MAX_SIZE];
    }

    @Override
    public byte[] getNextNALUnit() {
        return new byte[0];
    }

    @Override
    public boolean isSPSAvailable() {
        return false;
    }

    @Override
    public byte[] getSPSNALUnit() {
        return new byte[0];
    }

    @Override
    public boolean isPPSAvailable() {
        return false;
    }

    @Override
    public byte[] getPPSNALUnit() {
        return new byte[0];
    }

    @Override
    public boolean isStreamClosed() {
        return false;
    }

    @Override
    public void closeStream() {

    }
}
